#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    ll n;
    cin >> n;
    ll tl = 1, tr = 2*n;
    bool manji = false;
    vector<ll>a;
    vector<ll>b;
    if(n % 2 == 0){
        a.push_back(n - 1);
        b.push_back(n);
    }
    else{
        a.push_back(n);
        b.push_back(n + 1);
    }
    for(int i = 2; i <= n; i++){
        if(manji){
            a.push_back(tl);
            b.push_back(tl + 1);
            tl += 2;
            manji = false;
        }
        else{
            manji = true;
            a.push_back(tr - 1);
            b.push_back(tr);
            tr -= 2;
        }
    }
    for(auto x : a){
        cout << x << " ";
    }
    cout << endl;
    for(auto x : b){
        cout << x << " ";
    }
    cout << endl;
}